### File

`packages/eui/packages/components-next/src/lib/layout/eui-app/eui-app-sidebar/sidebar.component.ts`

### Implements

`OnInit` `OnDestroy`

### Metadata

changeDetection | `ChangeDetectionStrategy.Default`
encapsulation | `ViewEncapsulation.None`
selector | `eui-app-sidebar`
styleUrls | `./_styles/_index.scss`
templateUrl | `./sidebar.component.html`

### Index

###### Properties
Public asService
###### Methods
onMouseEnter onMouseLeave
###### HostBindings
class
###### HostListeners
body:click

### Constructor

`constructor(asService: UxAppShellService)`
Parameters :
Name | Type | Optional
asService | `UxAppShellService` | No

### HostBindings

class
Default value : `'eui-app-sidebar'`

### HostListeners

body:click
`body:click()`

### Methods

onMouseEnter
`onMouseEnter(event: any)`
Parameters :
Name | Type | Optional
event | `any` | No
Returns : `void`

onMouseLeave
`onMouseLeave(event: any)`
Parameters :
Name | Type | Optional
event | `any` | No
Returns : `void`

### Properties

Public asService
Type : `UxAppShellService`

# result-matching ""

# No results matching ""